# class Chef::Knife::NodeFromFile

### Public Instance Methods

loader() click to toggle source

    # File lib/chef/knife/node_from_file.rb, line 33
    def loader
      @loader ||= Knife::Core::ObjectLoader.new(Chef::Node, ui)
    end

run() click to toggle source

    # File lib/chef/knife/node_from_file.rb, line 37
    def run
      updated = loader.load_from('nodes', @name_args[0])

      updated.save

      output(format_for_display(updated)) if config[:print_after]

      ui.info("Updated Node #{updated.name}!")
    end